<section class="container mx-auto">
  <section>
    <p class="text-blue-700">Demo Angular works!</p>
    <p class="text-red-700">Demo Angular works!</p>
    <p class="text-green-700">Demo Angular works!</p>
  </section>
  <jds-bi-angular></jds-bi-angular>

  <table>
    <thead>
      <tr>
        <th
          class="bg-green-700"
          scope="col"
        >
          Normal
        </th>
        <th
          class="bg-green-700"
          [isSortable]="true"
          [currentSort]="{
            sort: 'sortable',
            direction: 'desc'
          }"
          (filterSort)="filterSort($event)"
          scope="col"
          jds-bi-table-head
          column="sortable"
        >
          Sortable
        </th>
        <th
          class="bg-green-700"
          [isFilterable]="true"
          scope="col"
          jds-bi-table-head
          column="filterable"
        >
          Filterable
          <div
            [style.cursor]="'pointer'"
            filter
            role="button"
          >
            <i
              class="tblhd-icon"
              [ngClass]="['active']"
            ></i>
          </div>
        </th>
        <th
          class="bg-green-700"
          [isSortable]="true"
          [currentSort]="{
            sort: 'sortable',
            direction: 'desc'
          }"
          [isFilterable]="true"
          (filterSort)="filterSort($event)"
          scope="col"
          jds-bi-table-head
          column="sortable-filterable"
        >
          Sortable Filterable
          <div
            [style.cursor]="'pointer'"
            filter
            role="button"
          >
            <i class="tblhd-icon"></i>
          </div>
        </th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td>Body</td>
        <td>Body</td>
        <td>Body</td>
        <td>Body</td>
      </tr>
    </tbody>
  </table>
  <jds-bi-pagination
    [colorScheme]="'dark-purple'"
    [perPageItems]="perPageItems"
    [pagination]="pagination"
    [perPage]="perPage"
    [page]="currentPage"
    (filterPerPage)="filterPerPage($event)"
    (filterPage)="filterPage($event)"
  >
  </jds-bi-pagination>

  <!-- <hr />

<ng-select
  [(ngModel)]="selectedCar"
  [items]="cars"
  bindLabel="name"
  bindValue="id"
>
</ng-select> -->

  <hr />

  <button jds-bi-button>Button</button>
  <br />
  <br />
  <button
    [isLoading]="buttonloading"
    colorScheme="blue"
    jds-bi-button
    variant="solid"
  >
    Solid
  </button>
  {{ buttonloading }}
  <button
    (click)="buttonloading = !buttonloading"
    jds-bi-button
    colorScheme="blue"
    variant="solid"
  >
    Change Button Color
  </button>
  <br />
  <br />
  <button
    jds-bi-button
    colorScheme="blue"
    variant="outline"
  >
    Outline
  </button>
  <br />
  <br />
  <button
    jds-bi-button
    colorScheme="blue"
    variant="ghost"
  >
    Ghost
  </button>
  <br />
  <br />
  <button
    jds-bi-button
    variant="link"
  >
    Link
  </button>
  <br />
  <br />
  <button
    jds-bi-button
    variant="solid"
  >
    <svg
      class="w-4 h-4 mr-2"
      aria-hidden="true"
      fill="currentColor"
      viewBox="0 0 20 20"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        fill-rule="evenodd"
        d="M10.293 3.293a1 1 0 011.414 0l6 6a1 1 0 010 1.414l-6 6a1 1 0 01-1.414-1.414L14.586 11H3a1 1 0 110-2h11.586l-4.293-4.293a1 1 0 010-1.414z"
        clip-rule="evenodd"
      ></path>
    </svg>
    <span class="sr-only">Icon description</span>
    <span>Label</span>
  </button>
  <br />
  <br />
  <button
    [isLoading]="true"
    jds-bi-button
    colorScheme="blue"
    variant="solid"
    disabled
  >
    Solid
  </button>

  <br />
  <br />
  <a
    jds-bi-button
    colorScheme="blue"
    href="https://google.com"
  >
    Solid
  </a>

  <hr />

  <span
    jds-bi-badge
    colorScheme="blue-gray"
  >
    Solid
  </span>
  <span
    jds-bi-badge
    variant="outline"
  >
    Outline
  </span>
  <span
    jds-bi-badge
    variant="subtle"
  >
    Subtle
  </span>
  <span jds-bi-badge>8</span>

  <hr />

  <jds-bi-icon name="book"></jds-bi-icon>
  <jds-bi-icon name="building"></jds-bi-icon>
  <jds-bi-icon name="briefcase"></jds-bi-icon>
  <jds-bi-icon name="calendar"></jds-bi-icon>
  <jds-bi-icon name="cabinet-filing"></jds-bi-icon>
  <jds-bi-icon name="circle-check"></jds-bi-icon>
  <jds-bi-icon name="circle-down"></jds-bi-icon>
  <jds-bi-icon name="clock-rotate-left"></jds-bi-icon>
  <jds-bi-icon name="clock-three"></jds-bi-icon>
  <jds-bi-icon name="envelope"></jds-bi-icon>
  <jds-bi-icon name="eye"></jds-bi-icon>
  <jds-bi-icon name="file-timer"></jds-bi-icon>
  <jds-bi-icon name="pencil"></jds-bi-icon>
  <jds-bi-icon name="phone"></jds-bi-icon>
  <jds-bi-icon name="star"></jds-bi-icon>
  <jds-bi-icon name="trash"></jds-bi-icon>

  <br />
  <br />

  <span
    jds-bi-badge
    colorScheme="green"
    variant="subtle"
  >
    <jds-bi-icon
      class="mr-1"
      name="circle-check"
    ></jds-bi-icon>
    <span>Tetap</span>
  </span>

  <span
    jds-bi-badge
    colorScheme="yellow"
    variant="subtle"
  >
    <jds-bi-icon
      class="mr-1"
      name="file-timer"
    ></jds-bi-icon>
    <span>Sementara</span>
  </span>

  <span
    jds-bi-badge
    colorScheme="blue"
    variant="subtle"
  >
    <jds-bi-icon
      class="mr-1"
      name="clock-rotate-left"
    ></jds-bi-icon>
    <span>Realtime</span>
  </span>

  <hr />

  <!-- <jds-bi-accordion
    [closeOthers]="true"
    [activeIds]="activeIds"
    colorScheme="body"
  >
    <jds-bi-accordion-item
      id="panel-1"
      title="Super simple Accordion"
    >
      <ng-template jds-bi-accordion-content>
        <div>
          A simple and customizable accordion component made with
          functionalities provided by angular without having to use any 3rd
          party libraries. Ideal when you want custom basic accordion. A simple
          and customizable accordion component made with functionalities
          provided by angular without having to use any 3rd party libraries.
          Ideal when you want custom basic accordion.
        </div>
        <div>
          A simple and customizable accordion component made with
          functionalities provided by angular without having to use any 3rd
          party libraries. Ideal when you want custom basic accordion. A simple
          and customizable accordion component made with functionalities
          provided by angular without having to use any 3rd party libraries.
          Ideal when you want custom basic accordion.
        </div>
        <div>
          A simple and customizable accordion component made with
          functionalities provided by angular without having to use any 3rd
          party libraries. Ideal when you want custom basic accordion. A simple
          and customizable accordion component made with functionalities
          provided by angular without having to use any 3rd party libraries.
          Ideal when you want custom basic accordion.
        </div>
        <div>
          A simple and customizable accordion component made with
          functionalities provided by angular without having to use any 3rd
          party libraries. Ideal when you want custom basic accordion. A simple
          and customizable accordion component made with functionalities
          provided by angular without having to use any 3rd party libraries.
          Ideal when you want custom basic accordion.
        </div>
        <div>
          A simple and customizable accordion component made with
          functionalities provided by angular without having to use any 3rd
          party libraries. Ideal when you want custom basic accordion. A simple
          and customizable accordion component made with functionalities
          provided by angular without having to use any 3rd party libraries.
          Ideal when you want custom basic accordion.
        </div>
        <div>
          A simple and customizable accordion component made with
          functionalities provided by angular without having to use any 3rd
          party libraries. Ideal when you want custom basic accordion. A simple
          and customizable accordion component made with functionalities
          provided by angular without having to use any 3rd party libraries.
          Ideal when you want custom basic accordion.
        </div>
        <button
          jds-bi-button
          colorScheme="blue"
          variant="outline"
        >
          Outline
        </button>
        <br />
        <br />
        <div class="grid">
          <button
            jds-bi-button
            colorScheme="blue"
            variant="solid"
          >
            Outline
          </button>
        </div>
      </ng-template>
    </jds-bi-accordion-item>
  </jds-bi-accordion> -->

  <jds-bi-accordion
    #acc="jdsBiAccordion"
    activeIds="ngb-panel-0"
  >
    <jds-bi-panel title="Simple">
      <ng-template jdsBiContent>
        Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus
        terry richardson ad squid. 3 wolf moon officia aute, non cupidatat
        skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod.
        Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid
        single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh
        helvetica, craft beer labore wes anderson cred nesciunt sapiente ea
        proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft
        beer farm-to-table, raw denim aesthetic synth nesciunt you probably
        haven't heard of them accusamus labore sustainable VHS.
      </ng-template>
    </jds-bi-panel>
  </jds-bi-accordion>

  <ng-template #titleWithContext>
    <div class="flex justify-center">
      <span>Section 1 title</span>
      <span>Icon</span>
    </div>
  </ng-template>

  <br />
  <br />
  <hr />
  <br />
  <br />

  <ul
    #nav="jdsBiNav"
    [(activeId)]="activeNav"
    jds-bi-nav
    variant="outline"
  >
    <li [jds-bi-nav-item]="1">
      <a jds-bi-nav-link>One</a>
      <ng-template jds-bi-nav-content>
        <p>
          Raw denim you probably haven't heard of them jean shorts Austin.
          Nesciunt tofu stumptown aliqua, retro synth master cleanse. Mustache
          cliche tempor, williamsburg carles vegan helvetica. Reprehenderit
          butcher retro keffiyeh dreamcatcher synth. Cosby sweater eu banh mi,
          qui irure terry richardson ex squid. Aliquip placeat salvia cillum
          iphone. Seitan aliquip quis cardigan american apparel, butcher
          voluptate nisi qui.
        </p>
      </ng-template>
    </li>
    <li [jds-bi-nav-item]="2">
      <a jds-bi-nav-link>Two</a>
      <ng-template jds-bi-nav-content>
        <p>
          Exercitation +1 labore velit, blog sartorial PBR leggings next level
          wes anderson artisan four loko farm-to-table craft beer twee. Qui
          photo booth letterpress, commodo enim craft beer mlkshk aliquip jean
          shorts ullamco ad vinyl cillum PBR. Homo nostrud organic, assumenda
          labore aesthetic magna delectus mollit. Keytar helvetica VHS salvia
          yr, vero magna velit sapiente labore stumptown. Vegan fanny pack odio
          cillum wes anderson 8-bit, sustainable jean shorts beard ut DIY
          ethical culpa terry richardson biodiesel. Art party scenester
          stumptown, tumblr butcher vero sint qui sapiente accusamus tattooed
          echo park.
        </p>
      </ng-template>
    </li>
  </ul>

  <div
    class="mt-2"
    [jds-bi-nav-outlet]="nav"
  ></div>

  <pre>Active: {{ activeNav }}</pre>

  <br />
  <br />
  <hr />
  <br />
  <br />

  <div>
    <input
      jds-bi-input
      type="text"
      placeholder="Text"
      colorScheme="blue"
      size="sm"
    />
  </div>

  <br />

  <div>
    <input
      jds-bi-input
      type="text"
      placeholder="Text"
      colorScheme="blue"
    />
  </div>

  <br />

  <div>
    <input
      jds-bi-input
      type="text"
      placeholder="Text"
      colorScheme="blue"
      size="lg"
    />
  </div>

  <br />

  <div>
    <textarea
      jds-bi-input
      type="textarea"
      placeholder="Textarea"
    ></textarea>
  </div>

  <br />

  <div>
    <input
      jds-bi-input
      type="text"
      placeholder="Text"
      disabled
    />
  </div>

  <br />

  <div>
    <input
      jds-bi-input
      type="text"
      placeholder="Text"
      readonly
    />
  </div>

  <br />

  <div>
    <input
      jds-bi-input
      type="file"
      placeholder="Text"
    />
  </div>

  <br />

  <div>
    <input
      [valid]="inputInvalid"
      jds-bi-input
      type="text"
      placeholder="Text"
      value="Valid"
    />
  </div>

  <br />

  <div>
    <input
      [invalid]="inputInvalid"
      jds-bi-input
      type="text"
      placeholder="Text"
      value="Invalid"
    />
  </div>

  <button
    (click)="changeInvalid()"
    jds-bi-button
  >
    Change Valid & Invalid
  </button>

  <br />

  <div jds-bi-input-group>
    <span jds-bi-input-left-addon>Prefix</span>
    <input
      jds-bi-input
      type="text"
      placeholder="Text"
      value="Invalid"
    />
  </div>

  <br />

  <div jds-bi-input-group>
    <input
      jds-bi-input
      type="text"
      placeholder="Text"
      value="Invalid"
    />
    <span jds-bi-input-right-addon>Suffix</span>
  </div>

  <br />

  <div jds-bi-input-group>
    <span jds-bi-input-left-addon>Prefix</span>
    <input
      jds-bi-input
      type="text"
      placeholder="Text"
      value="Invalid"
    />
    <span jds-bi-input-right-addon>Suffix</span>
  </div>

  <br />

  <div jds-bi-input-group>
    <input
      jds-bi-input
      type="text"
      placeholder="Text"
      value="Invalid"
    />
    <button
      jds-bi-button
      jds-bi-input-right-addon
      variant="input"
      colorScheme="gray"
    >
      asd
    </button>
  </div>

  <br />

  <div
    jds-bi-input-group
    variant="element"
  >
    <jds-bi-input-left-element>
      <jds-bi-icon
        [size]="14"
        name="phone"
      ></jds-bi-icon>
    </jds-bi-input-left-element>
    <input
      jds-bi-input
      type="text"
      placeholder="Text"
      value="Invalid"
    />
  </div>

  <br />

  <div
    jds-bi-input-group
    variant="element"
  >
    <input
      jds-bi-input
      type="text"
      placeholder="Text"
      value="Invalid"
    />
    <jds-bi-input-right-element>
      <jds-bi-icon name="phone"></jds-bi-icon>
    </jds-bi-input-right-element>
  </div>

  <br />

  <div
    jds-bi-input-group
    variant="element"
  >
    <jds-bi-input-left-element>
      <button
        jds-bi-button
        colorScheme="blue"
        variant="solid"
      >
        Solid
      </button>
    </jds-bi-input-left-element>
    <input
      class="pl-[76px]"
      jds-bi-input
      type="text"
      placeholder="Text"
      value="Invalid"
    />
  </div>

  <br />
  <br />
  <hr />
  <br />
  <br />
</section>
